@import 'src/core.scss';


div#contact-section {
	min-height: 100vh;
	
	div#contact-section-content {
		max-width: $maxWebsiteWidth;
		margin: auto;
		padding: 25px;
		background-color: $mainColor2;
		color: $mainColor1;

		div#divider {
			width: 100px;
			height: 3px;
			border-radius: 2px;
			background-color: $mainColor1;
		}



		div#contact-section-subcontent {
			max-width: $subcontentMaxWidth;
			margin: auto;

			div#contact-details {
				padding: 20px;

				div#other-links-container {
					margin-top: 25px;
					width: 200px;

					div#be-marked-today-button {
						background-color: $mainColor1;
						color: $mainColor2;
						padding: 5px 10px 5px 10px;
						cursor: pointer;
					}

					a {
						color: $mainColor1;
						cursor: pointer;
					}
				}

				div#other-links-container.mobile {
					margin: 25px auto;
				}
			}


			div#contact-inputs {
				padding: 20px;

				input, textarea {
					width: 100%;
					padding: 5px;
				}

				div#submit-button {
					padding: 5px;
					border: 2px solid $mainColor1;
					border-radius: 5px;
					background-color: $mainColor2;
					float: left;
				}
			}

			div#contact-inputs.mobile {
				padding: 0px;
			}
		}
	}


	div#contact-section-content.mobile {
		padding: 25px;
	}



	div#location-map {
		max-width: $maxWebsiteWidth;
		margin: auto;
		width: 100%;
		height: calc(100vh - 80px);

		iframe {
			height: 100%;
			width: 100%;
		}
	}
}